%define upstream_name    Test-Spelling
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Check for spelling errors in POD
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(IPC::Run3) >= 0.44.0
BuildRequires: perl(Pod::Spell) >= 1.10.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Tester)
BuildRequires: hunspell
BuildArch:  noarch

Requires:   hunspell

%description
Test::Spelling lets you check the spelling of a POD file, and report its
results in standard Test::More fashion. This module requires a
spellcheck program such as spell, aspell, ispell, or hunspell.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make


%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/Test

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.200.0-4pclos2017
- rebuild against updates

